Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Interface RelationSupportMBean

All Superinterfaces:
  Relation

All Known Implementing Classes:
  RelationSupport

public interface RelationSupportMBean
extends Relation

A RelationSupport object is used internally by the Relation Service to represent simple relations (only roles, no properties or methods), with an unlimited number of roles, of any relation type. As internal representation, it is not exposed to the user.

RelationSupport class conforms to the design patterns of standard MBean. So the user can decide to instantiate a RelationSupport object himself as a MBean (as it follows the MBean design patterns), to register it in the MBean Server, and then to add it in the Relation Service.

The user can also, when creating his own MBean relation class, have it extending RelationSupport, to retrieve the implementations of required interfaces (see below).

It is also possible to have in a user relation MBean class a member being a RelationSupport object, and to implement the required interfaces by delegating all to this member.

RelationSupport implements the Relation interface (to be handled by the Relation Service).

Author:
  Young Yang

Method Summary
`java.lang.Boolean` | `isInRelationService()` Returns an internal flag specifying if the object is still handled by the Relation Service.
`void` | `setRelationServiceManagementFlag(java.lang.Boolean flag)` Sets the flag to specify that it is handled or not by the Relation Service BEWARE, this method has to be exposed as the Relation Service will access the relation through its management interface.

Methods inherited from interface javax.management.relation.Relation
`getAllRoles, getReferencedMBeans, getRelationId, getRelationServiceName, getRelationTypeName, getRole, getRoleCardinality, getRoles, handleMBeanUnregistration, retrieveAllRoles, setRole, setRoles`

Method Detail

### isInRelationService

    public java.lang.Boolean isInRelationService()

  Returns an internal flag specifying if the object is still handled by the Relation Service.

### setRelationServiceManagementFlag

    public void setRelationServiceManagementFlag(java.lang.Boolean flag)
                                          throws java.lang.IllegalArgumentException

  Sets the flag to specify that it is handled or not by the Relation Service

  BEWARE, this method has to be exposed as the Relation Service will access the relation through its management interface. It is RECOMMENDED NOT to use this method. Using it does not affect the registration of the relation object in the Relation Service, but will provide wrong information about it!!!!

  Throws:
    `java.lang.IllegalArgumentException` - if null parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD